import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "metamodeleditview": {
            "title": "模型编辑视图",
            "caption": "模型",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModelEditView",
            "viewtag": "0970a13a09fca01489f0f6f6016bdc40"
        },
        "dstcomponentgridview": {
            "title": "组件表格视图",
            "caption": "组件",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstComponentGridView",
            "viewtag": "10aa45718d82d8f115c75ba01abb2de1"
        },
        "dstviewpickupgridview": {
            "title": "页面选择表格视图",
            "caption": "页面",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstViewPickupGridView",
            "viewtag": "12f945a6370fe677276fc813c6e73757"
        },
        "dstapigridview": {
            "title": "接口表格视图",
            "caption": "接口",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstAPIGridView",
            "viewtag": "16af256f35cdf891e8e04f8fe652e91b"
        },
        "metadynamicmodeleditview": {
            "title": "动态模型编辑视图",
            "caption": "动态模型",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaDynamicModelEditView",
            "viewtag": "1777e5578e41e94cdf738b950a961ab1"
        },
        "metamodelgridview": {
            "title": "模型表格视图",
            "caption": "模型",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModelGridView",
            "viewtag": "18d59a3ac7947d7123e0be76e7cb71c0"
        },
        "bladevisualgridview": {
            "title": "大屏展示表格视图",
            "caption": "可视化表",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "avuedata",
            "viewname": "BladeVisualGridView",
            "viewtag": "1acb538e571dd5728a1ac2a7248304db"
        },
        "dstappgridview": {
            "title": "应用表格视图",
            "caption": "应用",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstAppGridView",
            "viewtag": "1ade7920c947bf50c32012de9962a92d"
        },
        "dstappeditview": {
            "title": "应用编辑视图",
            "caption": "应用",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "DstAppEditView",
            "viewtag": "1c79dd0753fd2c3cd901deaea07ee9ec"
        },
        "dstdatasourceeditview": {
            "title": "数据源编辑视图",
            "caption": "数据源",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "DstDataSourceEditView",
            "viewtag": "1fbb2ec52d91acb96cd76a8fd181c3ff"
        },
        "dstcomponentpickupgridview": {
            "title": "组件选择表格视图",
            "caption": "组件",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstComponentPickupGridView",
            "viewtag": "236248d8753bad6e8a61088d1007d836"
        },
        "metaentitypickupview": {
            "title": "实体数据选择视图",
            "caption": "实体",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "MetaEntityPickupView",
            "viewtag": "2a68c7ba74abbda10f2be9d4905f1a7d"
        },
        "metaentityeditview": {
            "title": "实体编辑视图",
            "caption": "实体",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaEntityEditView",
            "viewtag": "2feae2829a80f67eb57a3335aad45d42"
        },
        "metafieldpickupview": {
            "title": "属性数据选择视图",
            "caption": "属性",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "MetaFieldPickupView",
            "viewtag": "33cfd9f916c0c359777f8e1ccaf769f8"
        },
        "dstviewgridview": {
            "title": "页面表格视图",
            "caption": "页面",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstViewGridView",
            "viewtag": "33ec4b7d5a31addaec9b033067520820"
        },
        "metadatasetgridview": {
            "title": "数据集表格视图",
            "caption": "数据集",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaDataSetGridView",
            "viewtag": "34eb161eb8e0968e78bbbfc7f30faaf1"
        },
        "dstcomponenteditview": {
            "title": "组件编辑视图",
            "caption": "组件",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "DstComponentEditView",
            "viewtag": "3b307eee26f3a9db54235a4e2bac21f9"
        },
        "metarelationshipeditview": {
            "title": "实体关系编辑视图",
            "caption": "实体关系",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaRelationshipEditView",
            "viewtag": "3c4651b0fddbda6565cce70dbada576a"
        },
        "metadynamicmodelusr2gridview": {
            "title": "动态模型表格视图",
            "caption": "动态模型实体表格视图（副本）",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaDynamicModelUsr2GridView",
            "viewtag": "409f7ea81d15d2e2f1ee295d189d965b"
        },
        "metarelationshippickupgridview": {
            "title": "实体关系选择表格视图",
            "caption": "实体关系",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaRelationshipPickupGridView",
            "viewtag": "4dea38f94640a261d70d58a8307356b9"
        },
        "dstmicroservicegridview": {
            "title": "微服务表格视图",
            "caption": "微服务",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstMicroserviceGridView",
            "viewtag": "4f19fa8bfbce2c71261ca7cc076f316e"
        },
        "metadynamicmodelgridview": {
            "title": "动态模型表格视图",
            "caption": "动态模型",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaDynamicModelGridView",
            "viewtag": "4f66aaf7857f97a00ab6cf6c1c054262"
        },
        "dstapieditview": {
            "title": "接口编辑视图",
            "caption": "接口",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "DstAPIEditView",
            "viewtag": "566e7ad7de2c879a911727539980e0d9"
        },
        "metamodulepickupgridview": {
            "title": "模块选择表格视图",
            "caption": "模块",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModulePickupGridView",
            "viewtag": "5c077bbd9af52fa95c68a782f96e74d7"
        },
        "metaentitypickupgridview": {
            "title": "实体选择表格视图",
            "caption": "实体",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaEntityPickupGridView",
            "viewtag": "5c14ceb58f4392849324f2a6dc13eac2"
        },
        "dstsystempickupgridview": {
            "title": "系统选择表格视图",
            "caption": "系统",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstSystemPickupGridView",
            "viewtag": "63b77608c374bd71fcc480c760e98b78"
        },
        "dstapppickupgridview": {
            "title": "应用选择表格视图",
            "caption": "应用",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstAppPickupGridView",
            "viewtag": "6c90b7b0ae9c4694d76b5716092070d5"
        },
        "dstdatasourcepickupview": {
            "title": "数据源数据选择视图",
            "caption": "数据源",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "DstDataSourcePickupView",
            "viewtag": "7102cd4ba5ca690e5ce03127920292f5"
        },
        "metafieldeditview": {
            "title": "属性编辑视图",
            "caption": "属性",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaFieldEditView",
            "viewtag": "79eaf7b7bf098180b58089f1db93ef50"
        },
        "dstroutereditview": {
            "title": "路由编辑视图",
            "caption": "路由",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "DstRouterEditView",
            "viewtag": "7d6167573eed098118e9fe1814392027"
        },
        "metafieldeditgridview": {
            "title": "属性表格视图",
            "caption": "属性",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaFieldEditGridView",
            "viewtag": "814731cc1364dfbfa419942030448e68"
        },
        "dstmicroserviceeditview": {
            "title": "微服务编辑视图",
            "caption": "微服务",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "DstMicroserviceEditView",
            "viewtag": "83be61fac74682d541d364717e7f6f31"
        },
        "liteindex": {
            "title": "Lite",
            "caption": "ibizlab",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "lite",
            "viewname": "liteIndex",
            "viewtag": "861B443E-602B-4CB0-8E9D-B4B3B9B1CA23"
        },
        "metaentitygridview": {
            "title": "实体表格视图",
            "caption": "实体",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaEntityGridView",
            "viewtag": "88894333da0e2e0f7a556ecabf7b48ab"
        },
        "dstconfigeditview": {
            "title": "配置编辑视图",
            "caption": "配置",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "DstConfigEditView",
            "viewtag": "8ee101d8fe3517d595bd6518026d1ab8"
        },
        "metarelationshippickupview": {
            "title": "实体关系数据选择视图",
            "caption": "实体关系",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "MetaRelationshipPickupView",
            "viewtag": "8ef054d29badaac8974f6a19c375c422"
        },
        "dstrouterpickupgridview": {
            "title": "路由选择表格视图",
            "caption": "路由",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstRouterPickupGridView",
            "viewtag": "983a4d82e2a6fe3b3cd505fb3f681955"
        },
        "dstroutergridview": {
            "title": "路由表格视图",
            "caption": "路由",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstRouterGridView",
            "viewtag": "9c46a7edc5d5d3a08e75ca57fcb7b03c"
        },
        "dstdatasourcepickupgridview": {
            "title": "数据源选择表格视图",
            "caption": "数据源",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstDataSourcePickupGridView",
            "viewtag": "a080a163f57168271170edd59d2f6ee9"
        },
        "dstsystemeditview": {
            "title": "系统编辑视图",
            "caption": "系统",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "DstSystemEditView",
            "viewtag": "a74ac9914f18ea5f417e041085f19c7f"
        },
        "bladevisualeditview": {
            "title": "大屏展示编辑视图",
            "caption": "可视化表",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "avuedata",
            "viewname": "BladeVisualEditView",
            "viewtag": "ae17e402fbd7acdc83dcb52139cfffe2"
        },
        "metamoduleeditview": {
            "title": "模块编辑视图",
            "caption": "模块",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModuleEditView",
            "viewtag": "b35e034dc0072ebf714a930060f78651"
        },
        "metadataseteditview": {
            "title": "数据集编辑视图",
            "caption": "数据集",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaDataSetEditView",
            "viewtag": "c172e249359ac4100216c0b04ecf5a51"
        },
        "metafieldgridview": {
            "title": "属性表格视图",
            "caption": "属性",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaFieldGridView",
            "viewtag": "c41cb9ab6be73302c733eee6da9ca11a"
        },
        "metarelationshipgridview": {
            "title": "实体关系表格视图",
            "caption": "实体关系",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaRelationshipGridView",
            "viewtag": "c97e5fbd6069f3ac7418e46252614504"
        },
        "metamodulepickupview": {
            "title": "模块数据选择视图",
            "caption": "模块",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModulePickupView",
            "viewtag": "cb5d9cb9d0d50f146e0b27a5198c4676"
        },
        "dstmicroservicepickupview": {
            "title": "微服务数据选择视图",
            "caption": "微服务",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "DstMicroservicePickupView",
            "viewtag": "cf3c723968e116fa32e08679011b9552"
        },
        "metarelationshipeditgridview": {
            "title": "实体关系表格视图",
            "caption": "实体关系",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaRelationshipEditGridView",
            "viewtag": "d45a5298f0efa4be88f25747ce799fe3"
        },
        "dstdatasourcegridview": {
            "title": "数据源表格视图",
            "caption": "数据源",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstDataSourceGridView",
            "viewtag": "d613248735503950b91cb7094b036cdc"
        },
        "dstvieweditview": {
            "title": "页面编辑视图",
            "caption": "页面",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "DstViewEditView",
            "viewtag": "db8f9ef53ef25a50b6cf6d24fd86368d"
        },
        "dstsystempickupview": {
            "title": "系统数据选择视图",
            "caption": "系统",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "DstSystemPickupView",
            "viewtag": "e1ea1395d43d0e07a8ccb7de8d4e9e84"
        },
        "metafieldpickupgridview": {
            "title": "属性选择表格视图",
            "caption": "属性",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaFieldPickupGridView",
            "viewtag": "e3e41e4b28407b0890b74e5f99d32721"
        },
        "dstsystemgridview": {
            "title": "系统表格视图",
            "caption": "系统",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstSystemGridView",
            "viewtag": "e5a20b8d7ce2cf41e100a3738fcff3a3"
        },
        "metamodulegridview": {
            "title": "模块表格视图",
            "caption": "模块",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModuleGridView",
            "viewtag": "ec89001b31b540bbfbc5df332d300b29"
        },
        "dstmicroservicepickupgridview": {
            "title": "微服务选择表格视图",
            "caption": "微服务",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstMicroservicePickupGridView",
            "viewtag": "f1e0001abbcc03f658dd28f9f8ad093a"
        },
        "dstconfiggridview": {
            "title": "配置表格视图",
            "caption": "配置",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstConfigGridView",
            "viewtag": "f20b2b6dc4d1c75c48f5da3eca3a3274"
        },
        "dstapppickupview": {
            "title": "应用数据选择视图",
            "caption": "应用",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "DstAppPickupView",
            "viewtag": "fbeee9229dcb3433526e6dab9172c721"
        }
    }];
});

// 获取视图消息分组信息
mock.onGet('./assets/json/view-message-group.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
        "VMGroup":[
        {"tag":"ViewMsg","position":"TOP","type":"INFO"}
        ]
    }];
});